package com.uas.report.axis;

import java.util.ArrayList;
import java.util.List;

public class ResourceProperty {

	private String name = "";
	private String value = "";

	private List<ResourceProperty> properties = new ArrayList<>();

	/** Creates a new instance of ResourceProperty */
	public ResourceProperty(String name) {
		this(name, null);
	}

	/** Creates a new instance of ResourceProperty */
	public ResourceProperty(String name, String value) {
		this.name = name;
		this.value = value;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public List<ResourceProperty> getProperties() {
		return properties;
	}

	public void setProperties(List<ResourceProperty> properties) {
		this.properties = properties;
	}

	@Override
	public String toString() {
		return "ResourceProperty [name=" + name + ", value=" + value + ", properties=" + properties + "]";
	}

}
